package utils

import (
	"testing"
)

func Test_if_to(t *testing.T) {
	var a interface{} = "123"
	var b interface{} = 1234.456
	var c interface{} = 10000

	t.Log(If_to_int32(a, 0))
	t.Log(If_to_string(a, ""))
	t.Log(If_to_uint64(a, 0))
	t.Log(If_to_int64(a, 0))

	t.Log(If_to_int32(b, 0))
	t.Log(If_to_string(b, ""))
	t.Log(If_to_uint64(b, 0))
	t.Log(If_to_int64(b, 0))

	t.Log(If_to_int32(c, 0))
	t.Log(If_to_string(c, ""))
	t.Log(If_to_uint64(c, 0))
	t.Log(If_to_int64(c, 0))

}
